
if not TidyPlatesThemeList then TidyPlatesThemeList = {} end
TidyPlatesThemeList["Roundy"] = {}

local function StyleDelegate(unit)
	if unit.isElite then return "double"	
	else return "single" end
end

local function AlphaDelegate(unit)
	if unit.isCasting then return 1 end
	if unit.threatSituation == "HIGH" then return .6
	else return 1 end
end

-- [[
local function ScaleDelegate(unit)
	-- Range Scale	(-14 to 19)
	local zoom, scaledRange, scaledRange 
	local far = 20
	local near = 14
	local minimumscale = .4
	local maximumscale = 1.2
	SaveView(5)
	zoom = tonumber( GetCVar( "cameraDistanceE" ) );
	normalizedRange = ((zoom - unit.depth)+(far))/(far+near)
	if normalizedRange < 0 then normalizedRange = 0 end
	return (normalizedRange*(maximumscale-minimumscale))+minimumscale
end
--  ]]

local function SpellTextDelegate(unit)
	local spellname
	if unit.isCasting then 
		spellname = UnitCastingInfo("target") 
		return spellname
	else return "" end
end

local function HealthTextDelegate(unit)
	return "|cFF00DEFF"..tostring(unit.health).. " / "..tostring(unit.healthmax)
end

TidyPlatesThemeList["Roundy"].SetStyle = StyleDelegate
--TidyPlatesThemeList["Roundy"].SetAlpha = AlphaDelegate
--TidyPlatesThemeList["Roundy"].SetScale = ScaleDelegate
TidyPlatesThemeList["Roundy"].SetSpecialText = SpellTextDelegate
TidyPlatesThemeList["Roundy"].SetSpecialText2 = HealthTextDelegate

------------------------------------------------------------------
-- Automatically turn on Threat Display
SetCVar("threatWarning", 3)
SetCVar("nameplateShowEnemies", 1)
SetCVar("ShowClassColorInNameplate", 1)

------------------------------------------------------------------
-- Panel Helpers
--[[
local function CreatePanelFrame(reference, label)
	local panelframe = CreateFrame( "Frame", reference, UIParent);
	panelframe.name = label
	-- Panel Label
	panelframe.label = panelframe:CreateFontString(nil, 'ARTWORK', 'GameFontNormalLarge')
	panelframe.label:SetPoint("TOPLEFT", panelframe, "TOPLEFT", 16, -16)
	panelframe.label:SetHeight(15)
	panelframe.label:SetWidth(350)
	panelframe.label:SetJustifyH("LEFT")
	panelframe.label:SetJustifyV("TOP")
	panelframe.label:SetText(label.." Options")
	return panelframe
end

local function CreateCheckButton(reference, parent, label)
	local checkbutton = CreateFrame( "CheckButton", reference, parent, "InterfaceOptionsCheckButtonTemplate" )
	_G[checkbutton:GetName().."Text"]:SetText(label)
	return checkbutton
end

local function CreateSliderFrame(reference, parent)
	local slider = CreateFrame("Slider", reference, parent, 'OptionsSliderTemplate')
	slider:SetWidth(100)
	slider:SetHeight(15)
	--slider.tooltipText = 
	slider.Label = _G[reference..'Text']
	slider.Low = _G[reference.."Low"]
	slider.High = _G[reference.."High"]
	slider:SetMinMaxValues(1, 10)
	slider:SetValueStep(1) 
	slider:SetOrientation("HORIZONTAL")
	return slider
end
		
local function CreateDropdownFrame(reference, parent, menu, text)
	local dropdown = CreateFrame("Frame", reference, parent, "UIDropDownMenuTemplate" )
	local index, item
	dropdown.Label = _G[reference.."Text"]
	dropdown.Label:SetText(text)
	dropdown.initialize = function(self, level)
		if not level == 1 then return end
		for index, item in pairs(menu) do
			item.func = function(self) dropdown.Label:SetText(item.text) end
			UIDropDownMenu_AddButton(item, level)
		end end
	return dropdown
end


------------------------------------------------------------------
-- Interface Options
local panel = CreatePanelFrame( "ExamplePanelRef", "Example Interface Panel Title" )

panel.checkbutton = CreateCheckButton("ExampleCheckbutton", panel, "Optional Feature")
panel.checkbutton:SetPoint("TOPLEFT", 16, -50)

local dropmenu = { 
			{ text = "Turtle", notCheckable = 1 } ,
			{ text = "Dog", notCheckable = 1 } ,
			{ text = "Cheetah", notCheckable = 1 }
			}
panel.dropdown = CreateDropdownFrame("ExampleDropdown", panel, dropmenu, "Turtle")
panel.dropdown:SetPoint("TOPLEFT", 16, -90)

panel.slider = CreateSliderFrame("ExampleSlider", panel)
panel.slider:SetPoint("TOPLEFT", 16, -140)
panel.slider:SetValue(3)
panel.slider.High:SetText("Upper")
panel.slider.Low:SetText("Lower")

panel.okay = function (self) 
	print( panel.checkbutton:GetChecked().." "..panel.dropdown.Label:GetText().." "..panel.slider:GetValue())
end;



-- panel.cancel = function (self) 	end;
-- Panel Option: Fade Threat --

-- Add the panel to the Interface Options
InterfaceOptions_AddCategory(panel);

--]]


--[[

Choices:
Friendly
Enemy (Standard, Elite, Boss)
Neutral

Cast Bar (Above or Below)

Borders
Gold Ring
Gold Ring (Full Height Bar)
Thick Gold Ring
Spiked Gold
Dotted
Starred
Rays
Pill
Mini-Pill
None

Bar Texture


--]]

