local style, offset, config
local theme = "Roundy"
local styleoffset = {
	single = -20, 
	double = -25,
}

local artpath = "Interface\\Addons\\TidyPlates"..theme.."\\Art\\cast"
local fontpath = "Interface\\Addons\\TidyPlatesRoundy\\Fonts"
local artwidth = 128
local artheight = 32

for style, offset in pairs(styleoffset) do
	config = TidyPlatesThemeList[theme][style]

	config.castborder = {
		texture = artpath.."\\Stoppable",
		width = artwidth,
		height = artheight,
		x = 0,
		y = offset,
		anchor = "CENTER",
	}

	config.castnostop = {
		texture = artpath.."\\Nostop",
		width = artwidth,
		height = artheight,
		x = 0,
		y = offset,
		anchor = "CENTER",
	}

	config.castbar = {
		texture = artpath.."\\Statusbar",
		width = 88,
		height = 8,
		x = 0,
		y = 4 + offset,
		anchor = "CENTER",
	}

	config.spellicon = {
		height = 13,
		width = 13,
		x = 32,
		y = 0 + offset,
		anchor = "CENTER",
	}

	config.specialText = {
		typeface =					fontpath.."\\Arial.ttf",
		size = 9,
		width = 62,
		height = 10,
		x = -10,
		y = -4 + offset,
		align = "RIGHT",
		anchor = "CENTER",
	}
end

				
