local config = {}
local theme = "Roundy"
local style = "single"
local artpath = "Interface\\Addons\\TidyPlates"..theme.."\\Art\\"..style
local fontpath = "Interface\\Addons\\TidyPlatesRoundy\\Fonts"

local scale = .8
local artwidth = 128*scale
local artheight = 32*scale

config.frame = {
	width = 95*scale,
	height = 20*scale,
	x = 0,
	y = 0,
}

config.healthborder = {
	texture	= artpath.."\\Border",
	glowtexture = artpath.."\\Highlight",
	elitetexture = artpath.."\\Border",
	width = artwidth,
	height = artheight,
	x = 0,
	y = 0,
	anchor = "CENTER",
}

config.threatborder = {
	texture = artpath.."\\Threat",
	elitetexture = artpath.."\\Threat",
	width = artwidth,
	height = artheight,
	x = 0,
	y = 0,
	anchor = "CENTER",
}

config.healthbar = {
	texture = artpath.."\\Statusbar",
	width = 75*scale,
	height = 13*scale,
	x = 0,
	y = -1*scale,
	anchor = "CENTER",
}

config.name = {
	typeface =					fontpath.."\\Arial.ttf",
	size = 8,
	width = 65*scale,
	height = 10*scale,
	x = 0,
	y = 0,
	align = "LEFT",
	anchor = "CENTER",
}

config.raidicon = {
	width = 18*scale,
	height = 18*scale,
	x = 0,
	y = 5,
	anchor = "CENTER",
}

config.options = {
	showLevel = false,
	showName = true,
	showSpecialText = true,
	showDangerSkull = false,
	showNostopSpell = true, 
	useOnUpdate = false,
}

TidyPlatesThemeList[theme][style] = {}
TidyPlatesThemeList[theme][style] = config


				
